entiPos = entity.getPosition();
var tempsCreuse = 0;

var head = new Model();
head.addBox("head", -4, 17, 0, 11, 9, 8, 0, 0);
var body = new Model();
body.addBox("body", -5, 1, 0, 13, 16, 10, 0, 0);
var rightarm = new Model();
rightarm.addBox("rightarm", 8, 0, 2, 5, 15, 5, 0, 0); // 8 0 2
//rightarm.moveBy(0,-20,0);
//rightarm.setRotation(0,180,0);
//rightarm.setPosition(entiPos.x,entiPos.y,entiPos.z);
var leftarm = new Model();
leftarm.addBox("leftarm", -10, 0, 2, 5, 15, 5, 0, 0);
var rightleg = new Model();
rightleg.addBox("rightleg", -4, -10, 2, 4, 11, 4, 0, 0);
var leftleg = new Model();
leftleg.addBox("leftleg", 3, -10, 2, 4, 11, 4, 0, 0);

head.texture = "/models/goron_head.png"; head.y = 0.7; head.attachedTo = entity;
body.texture = "/models/goron_body.png"; body.y = 0.7; body.attachedTo = entity;
rightarm.texture = "/models/goron_rightarm.png"; rightarm.y = 0.7; rightarm.attachedTo = entity;
leftarm.texture = "/models/goron_leftarm.png"; leftarm.y = 0.7; leftarm.attachedTo = entity;
leftleg.texture = "/models/goron_legs.png"; leftleg.y = 0.7; leftleg.attachedTo = entity;
rightleg.texture = "/models/goron_legs.png"; rightleg.y = 0.7; rightleg.attachedTo = entity;